//---------------------------------------------------------------------------


#ifndef NymDelFramesH
#define NymDelFramesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
/*void __fastcall SetAnonToDirectives(TForm *Owner, TGroupBox *DelGroup, AnsiString &AnonTo,
   AnsiString &RemixTo, AnsiString &EncryptTo, AnsiString &RemailTo,
   AnsiString &TestTo, AnsiString &Password,
   const AnsiString &Caps, bool Last);

void __fastcall GetAnonToDirectives(TForm *Owner, AnsiString &AnonTo,
   AnsiString &RemixTo, AnsiString &EncryptTo, AnsiString &RemailTo,
   AnsiString &TestTo, AnsiString &Password,
   const AnsiString &Caps, bool Last);*/

class TDelFrame : public TFrame
{
__published:	// IDE-managed Components
        TLabel *Label2;
        TLabel *Label1;
        TEdit *AnonTo;
        TEdit *RemixTo;
        TEdit *EncryptTo;
        TEdit *RemailTo;
        TEdit *TestTo;
        TEdit *Password;
        TRadioButton *AnonToBtn;
        TRadioButton *RemixToBtn;
        TRadioButton *EncryptToBtn;
        TRadioButton *RemailToBtn;
        TCheckBox *AnonToBox;
        TCheckBox *EncryptToBox;
        TCheckBox *RemailToBox;
        TCheckBox *RemixToBox;
        TButton *RemixToChainBtn;
        TButton *EncryptToChainBtn;
        //void __fastcall FormShow(TObject *Sender);
        void __fastcall AnonToBtnClick(TObject *Sender);
        void __fastcall RemixToBtnClick(TObject *Sender);
        void __fastcall EncryptToBtnClick(TObject *Sender);
        void __fastcall RemailToBtnClick(TObject *Sender);
        void __fastcall TestToExit(TObject *Sender);
        void __fastcall TestToChange(TObject *Sender);
        void __fastcall AnonToBoxClick(TObject *Sender);
        void __fastcall RemixToBoxClick(TObject *Sender);
        void __fastcall EncryptToBoxClick(TObject *Sender);
        void __fastcall RemailToBoxClick(TObject *Sender);
        void __fastcall PasswordEnter(TObject *Sender);
        void __fastcall RemixToChainBtnClick(TObject *Sender);
        void __fastcall EncryptToChainBtnClick(TObject *Sender);
        //void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        int mode;
        bool Last;
        AnsiString Caps;
        __fastcall TDelFrame(TComponent* Owner);
        bool __fastcall HasCap(const AnsiString &Cap);
        void __fastcall EnableControl(TEdit *Control, bool Enable);
        AnsiString __fastcall GetAnonToAddress();
        bool __fastcall ValidAddress(AnsiString Address);
        void __fastcall SetToggles();
};

//---------------------------------------------------------------------------
extern PACKAGE TDelFrame *DelFrame;
//---------------------------------------------------------------------------
#endif
