/*
*  NymRptsDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef NymRptsDlgsH
#define NymRptsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall RunNewNymReports(TForm *Owner);

class TNymRptsDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TPanel *Panel1;
	TBevel *Bevel1;
	TButton *OkBtn;
	TButton *CancelBtn;
	TListBox *NymList;
	TRadioButton *ProfileBtn;
	TRadioButton *ChainsBtn;
	TRadioButton *EncryptBtn;
	TRadioButton *ExportBtn;
	TSpeedButton *SelectAllBtn;
	TRadioButton *ProfileKeysBtn;
	TRadioButton *EncryptSubBtn;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall NymListDblClick(TObject *Sender);
	void __fastcall SelectAllBtnClick(TObject *Sender);
	void __fastcall NymListClick(TObject *Sender);
        void __fastcall NymListDrawItem(TWinControl *Control, int Index,
        TRect &Rect, TOwnerDrawState State);
private:	// User declarations
public:		// User declarations
	__fastcall TNymRptsDlg(TComponent* Owner);
    void __fastcall PutReportOnDeskTop(TStrings *report, AnsiString caption);
    void __fastcall SelectAll(bool select);
    void __fastcall GenProfileKeysReport();
    void __fastcall GenProfileReport();
    void __fastcall GenChainsReport();
    void __fastcall GenExportReport();
    void __fastcall GenEncryptSubReport();
    void __fastcall GenEncryptReport();
};
//---------------------------------------------------------------------------
extern TNymRptsDlg *NymRptsDlg;
//---------------------------------------------------------------------------
#endif
