//---------------------------------------------------------------------------
#ifndef ValidNymKeysH
#define ValidNymKeysH
#include <Classes.hpp>

#include "PGPsdk.h"
#include "NymProfiles.h"
//---------------------------------------------------------------------------

bool __fastcall ValidKeyForNymserver(TForm *Owner, const AnsiString &Key,
   const AnsiString &Nymserver);
bool __fastcall CheckValidKeyForProfile(TForm *Owner, TPGPsdk *PGP,
   TNymProfile *profile);

class TPGPKeyDesc : public TObject
{
public:
   TForm *owner;
   AnsiString key, caps;
   __fastcall TPGPKeyDesc(TForm *Owner, const AnsiString &KeyDesc);

   bool __fastcall GetCaps(const AnsiString &nymserver);
   bool __fastcall HasCap(const AnsiString &cap);

   bool __fastcall ValidForNymserverSilent(const AnsiString &Key);
   bool __fastcall ValidForNymserverErrorMsg(const AnsiString &Nymserver);
   AnsiString __fastcall KeyUserID();
   AnsiString __fastcall KeyAlgo();
   AnsiString __fastcall KeyID();
   bool __fastcall KeySecret();
   int __fastcall KeyBits();
   int __fastcall KeyVer();
};

//---------------------------------------------------------------------------
#endif
