//---------------------------------------------------------------------------
#ifndef NymAnonToDlgsH
#define NymAnonToDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall EditAnonToDirectives(TForm *Owner, AnsiString &AnonTo,
   AnsiString &RemixTo, AnsiString &EncryptTo, AnsiString &RemailTo,
   AnsiString &TestTo, AnsiString &Password,
   const AnsiString &Caps, bool Last);

class TNymAnonToDlg : public TFrame
{
__published:	// IDE-managed Components
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label2;
        TLabel *Label1;
        TEdit *AnonTo;
        TEdit *RemixTo;
        TEdit *EncryptTo;
        TEdit *RemailTo;
        TEdit *TestTo;
        TEdit *Password;
        TButton *HelpBtn;
        TRadioButton *AnonToBtn;
        TRadioButton *RemixToBtn;
        TRadioButton *EncryptToBtn;
        TRadioButton *RemailToBtn;
        TCheckBox *AnonToBox;
        TCheckBox *EncryptToBox;
        TCheckBox *RemailToBox;
        TCheckBox *RemixToBox;
        TButton *RemixToChainBtn;
        TButton *EncryptToChainBtn;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall AnonToBtnClick(TObject *Sender);
        void __fastcall RemixToBtnClick(TObject *Sender);
        void __fastcall EncryptToBtnClick(TObject *Sender);
        void __fastcall RemailToBtnClick(TObject *Sender);
        void __fastcall TestToExit(TObject *Sender);
        void __fastcall TestToChange(TObject *Sender);
        void __fastcall AnonToBoxClick(TObject *Sender);
        void __fastcall RemixToBoxClick(TObject *Sender);
        void __fastcall EncryptToBoxClick(TObject *Sender);
        void __fastcall RemailToBoxClick(TObject *Sender);
        void __fastcall PasswordEnter(TObject *Sender);
        void __fastcall RemixToChainBtnClick(TObject *Sender);
        void __fastcall EncryptToChainBtnClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        int mode;
        bool Last;
        AnsiString Caps;
        __fastcall TNymAnonToDlg(TComponent* Owner);
        bool __fastcall HasCap(const AnsiString &Cap);
        void __fastcall EnableControl(TEdit *Control, bool Enable);
        AnsiString __fastcall GetAnonToAddress();
        bool __fastcall ValidAddress(AnsiString Address);
};
//---------------------------------------------------------------------------
extern TNymAnonToDlg *NymAnonToDlg;
//---------------------------------------------------------------------------
#endif
