//---------------------------------------------------------------------------

#ifndef NymGenRBDlgsH
#define NymGenRBDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#include "PgpSdk.h"
//---------------------------------------------------------------------------

bool __fastcall GenerateReplyBlocks(TForm *Owner, TStrings *Blocks, TPGPsdk *PGP, bool Preview);

class TNymGenRBDlg : public TForm
{
__published:	// IDE-managed Components
   TPanel *Panel1;
   TTimer *Timer1;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
   bool preview;
   TPGPsdk *PGP;
   TStringList *blocks, *encrypted, *encblock, *block, *leg, *names, *remailers, *dead, *message, *dirs, *hdrs;
   __fastcall TNymGenRBDlg(TComponent* Owner);
   __fastcall TNymGenRBDlg(TComponent* Owner, TStrings *Blocks, TPGPsdk *PGP, bool Preview);
   __fastcall virtual ~TNymGenRBDlg();

   bool __fastcall GenerateReplyBlocks();
   void __fastcall GetRListRemailers(TStrings *remailers, const AnsiString &rlisttxt);
   void __fastcall GetRemailerNamesFromBlocks(TStrings *blocks, TStrings *names);
   bool __fastcall CheckNamesForDeadRemailers(TStrings *remailers, TStrings *names);
   void __fastcall ChangeNamesToAddresses(TStrings *blocks, TStrings *remailers, TStrings *names);

   void __fastcall GetLegDirectives(TStrings *leg, TStrings *dirs);
   void __fastcall GetLegHeaders(TStrings *leg, TStrings *dirs);
   bool __fastcall EncryptLeg(TStrings *leg, TStrings *encrypted);
   bool __fastcall GetNextBlock(TStrings *block, TStrings *blocks);
   bool __fastcall GetPrevLeg(TStrings *leg, TStrings *block);
   bool __fastcall IsFirstLeg(TStrings *Leg);
};

//---------------------------------------------------------------------------
extern PACKAGE TNymGenRBDlg *NymGenRBDlg;
//---------------------------------------------------------------------------
#endif
