//---------------------------------------------------------------------------

#ifndef NymKeyDlgsH
#define NymKeyDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "PGPsdk.h"
//---------------------------------------------------------------------------
bool __fastcall GetNewNymKey(TForm *Owner, TPGPsdk *PGP, AnsiString &PGPKey,
   const AnsiString &Nymserver);

class TNymKeyDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TComboBox *PGPKey;
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label2;
        TLabel *Label3;
        void __fastcall PGPKeyDrawItem(TWinControl *Control, int Index,
           TRect &Rect, TOwnerDrawState State);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        TPGPsdk *PGP;
        AnsiString ThePGPKey, Nymserver, caps;
        virtual __fastcall TNymKeyDlg(TComponent* Owner);
        virtual __fastcall TNymKeyDlg(TComponent* Owner, TPGPsdk *PGP, const AnsiString &PGPKey,
           const AnsiString &Nymserver);
        AnsiString __fastcall GetCaps(const AnsiString &nymserver);
        //bool __fastcall HasCap(const AnsiString &cap);
        AnsiString __fastcall NymServer();
        void __fastcall LoadPGPKeys();

        // key functions
        //bool __fastcall ValidKeyForNymserver(const AnsiString &Key);
        AnsiString __fastcall KeyUserID(const AnsiString &Key);
        AnsiString __fastcall KeyAlgo(const AnsiString &key);
        AnsiString __fastcall KeyID(const AnsiString &Key);
        bool __fastcall KeySecret(const AnsiString &Key);
        int __fastcall KeyBits(const AnsiString &key);

};
//---------------------------------------------------------------------------
extern PACKAGE TNymKeyDlg *NymKeyDlg;
//---------------------------------------------------------------------------
#endif
