//---------------------------------------------------------------------------

#ifndef RBxtestsH
#define RBxtestsH
//---------------------------------------------------------------------------

class TReplyBlockTester : public TObject
{
private:
   void __fastcall GetRemailersAndCaps(TStrings *remailers, TStrings *caps);
   bool __fastcall HasCap(const AnsiString &remailer, const AnsiString &cap);
   bool __fastcall GetNextReplyBlock(TStrings *replyblock, TStrings *replyblocks);
   bool __fastcall GetLeg(int index, TStrings *leg, TStrings *replyblock, bool &last);
   bool __fastcall CheckValidLeg(TStrings *leg, bool &last);
public:
   TStringList *remailers, *mail2news, *headers, *directives, *caps;

   __fastcall TReplyBlockTester();
   virtual __fastcall~TReplyBlockTester();
   bool __fastcall CheckValidReplyBlocks(TStrings *replyblocks);
   bool __fastcall CheckValidReplyBlock(TStrings *replyblock);

   bool __fastcall ValidRemailer(const AnsiString &line);
   bool __fastcall ValidDirective(const AnsiString &line, const AnsiString &remailer);
   bool __fastcall ValidToDirective(const AnsiString &line, const AnsiString &remailer);
   bool __fastcall ValidPostDirective(const AnsiString &line, const AnsiString &remailer);
   bool __fastcall ValidFinalHeader(const AnsiString &line);
};

#endif
